commit:     52733d291cf215aada643026f1af54f4fff969e3
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 11 20:11:14 2025 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri Apr 11 20:55:39 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52733d29

sys-libs/tevent: add 0.16.2

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 sys-libs/tevent/Manifest             |   1 +
 sys-libs/tevent/tevent-0.16.2.ebuild | 103 +++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/sys-libs/tevent/Manifest b/sys-libs/tevent/Manifest
index a31847945ab6..ba53905ff2e3 100644
--- a/sys-libs/tevent/Manifest
+++ b/sys-libs/tevent/Manifest
@@ -1,3 +1,4 @@
 DIST tevent-0.14.1.tar.gz 881979 BLAKE2B 
272b7d0029061dfd172a39135d806b937ee6f5bb9eb4c9c8d68a6e5cb3d9eca01582f7ddf5a15d7f033d3322c7fd4d6e87d697f76e4d44565c8e757398a5f0f8
 SHA512 
0bcc87c10f84e947edad8f8c31f3923253c599b7a69a1db1c21ab292e02937ccb8bad9f0f70e27420ead687aaed1a9b3830b6daa903b8a9bd48cc035a6e5f4ec
 DIST tevent-0.15.0.tar.gz 884634 BLAKE2B 
071906dc0cc199a9b550e74ca7fcd3555e54a1c48a9be2c107c498ccf2157521336c3ec63fd776e3551064e9baf1ebcf9c7ff5eb0f04375b7d714056331476aa
 SHA512 
470cc4489255a4f122ba1d680669589ba375d4081ff46631dd56f5104202d175bfb13356820eb9108a6b768b3837b2f5d26cc7b0acc3071c4787fb070df3cbab
 DIST tevent-0.16.1.tar.gz 890010 BLAKE2B 
34639cf0e63193eebdb9c3f845390685d66916c6a687f22fbe25dbe175d3279752dfea1e3567fdb2eed3bea17108b9b226039cb1218c0536fc1eb7f4e0a025ab
 SHA512 
cda001d91728b2f28dd081e9c5f6d8ede345dcd9ce1dca04394860cd83090c15aa8dfef1c53b73e120bd17f0d95551fa9301eb4927963314556d016fe5420a39
+DIST tevent-0.16.2.tar.gz 897447 BLAKE2B 
d23d60f5e5478899daab248c6a2b8d9b67d19a881bf1cfec2803e4fa538f2f59333b3e28c729a1072b3ec3b528961faf63ccd60fdc92f229a73e358fdcdb080e
 SHA512 
c644771227fd1ee9f221e8cac1be9db97043953670a29415a20f3f8933d4fa93c7421b991a4ecaac0b9b29e922d1ec2f436160f2d2eaf77c6d392f1dec212417

diff --git a/sys-libs/tevent/tevent-0.16.2.ebuild 
b/sys-libs/tevent/tevent-0.16.2.ebuild
new file mode 100644
index 000000000000..3c3ec746950f
--- /dev/null
+++ b/sys-libs/tevent/tevent-0.16.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="threads(+)"
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="Samba tevent library"
+HOMEPAGE="https://tevent.samba.org/";
+SRC_URI="https://samba.org/ftp/tevent/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x86-linux"
+IUSE="python test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+TALLOC_VERSION="2.4.3"
+
+RDEPEND="
+       dev-libs/libbsd[${MULTILIB_USEDEP}]
+       >=sys-libs/talloc-${TALLOC_VERSION}[${MULTILIB_USEDEP}]
+       python? (
+               ${PYTHON_DEPS}
+               
>=sys-libs/talloc-${TALLOC_VERSION}[python,${PYTHON_SINGLE_USEDEP}]
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       elibc_glibc? (
+               net-libs/libtirpc[${MULTILIB_USEDEP}]
+               net-libs/rpcsvc-proto
+       )
+       test? ( >=dev-util/cmocka-1.1.3 )
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+check_samba_dep_versions() {
+       actual_talloc_version=$(sed -En '/^VERSION =/{s/[^0-9.]//gp}' 
lib/talloc/wscript || die)
+       if [[ ${actual_talloc_version} != ${TALLOC_VERSION} ]] ; then
+               eerror "Source talloc version: ${TALLOC_VERSION}"
+               eerror "Ebuild talloc version: ${actual_talloc_version}"
+               die "Ebuild needs to fix TALLOC_VERSION!"
+       fi
+}
+
+src_prepare() {
+       default
+
+       check_samba_dep_versions
+
+       if use test ; then
+               # TODO: Fix python tests to run w/ USE=python.
+               # (depsite the name. bindings.py is just for Python tests.)
+               truncate -s0 bindings.py || die
+       fi
+
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       # When specifying libs for samba build you must append NONE to the end 
to
+       # stop it automatically including things
+       local bundled_libs="NONE"
+
+       # We "use" bundled cmocka when we're not running tests as we're
+       # not using it anyway. Means we avoid making users install it for
+       # no reason. bug #802531
+       if ! use test ; then
+               bundled_libs="cmocka,${bundled_libs}"
+       fi
+
+       waf-utils_src_configure \
+               --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               --disable-dependency-tracking \
+               --disable-warnings-as-errors \
+               --bundled-libraries="${bundled_libs}" \
+               --builtin-libraries=NONE \
+               $(multilib_native_usex python '' '--disable-python')
+}
+
+multilib_src_compile() {
+       waf-utils_src_compile
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+
+       multilib_is_native_abi && use python && python_domodule tevent.py
+}
+
+multilib_src_install_all() {
+       insinto /usr/include
+       doins tevent_internal.h
+}

Reply via email to